summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2017-08-15 16:52:38 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2017-08-15 17:09:23 +0200
commit0f9dab4437125d3bcc901fc59460ae53b4f18c84 (patch)
treec65c9682c40ae42bb48c76de18d4f4766330399f /dev-libs/vala-common
parentprofiles/package.mask: add missing vala-common to Gnome 3.24 mask (diff)
downloadgentoo-0f9dab4437125d3bcc901fc59460ae53b4f18c84.tar.gz
gentoo-0f9dab4437125d3bcc901fc59460ae53b4f18c84.tar.bz2
gentoo-0f9dab4437125d3bcc901fc59460ae53b4f18c84.zip
dev-libs/vala-common: version ump 0.34.9 → 0.36.4
Package-Manager: Portage-2.3.7, Repoman-2.3.3
Diffstat (limited to 'dev-libs/vala-common')
-rw-r--r--dev-libs/vala-common/Manifest1
-rw-r--r--dev-libs/vala-common/vala-common-0.36.4.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/dev-libs/vala-common/Manifest b/dev-libs/vala-common/Manifest
index b558937b49c..799d2df52b5 100644
--- a/dev-libs/vala-common/Manifest
+++ b/dev-libs/vala-common/Manifest
@@ -1,3 +1,4 @@
DIST vala-0.32.1.tar.xz 2759528 SHA256 dd0d47e548a34cfb1e4b04149acd082a86414c49057ffb79902eb9a508a161a9 SHA512 d59db1bd9132f93f187c30ccabff9d21fe8685293a6494e5b009d883de4f844cc4b8dc5d3b6eb4e026a93490f2e4ff7ba83ff22a093c6f8f85e68d83f5fe1bb0 WHIRLPOOL d61a171cacb62f008e15408729b809f9a13f11880395526a9890ddfed1a41d0ad021c57c8d9d93ffdf6f99ee5231fffdb4fa1763d8b7238a8f62ae67f4aa22ca
DIST vala-0.34.8.tar.xz 2778228 SHA256 22899bad63436ccfab4abc44face3bf4c1e4e72dea5891d67626dc360078c0a3 SHA512 03739173aa2b4e5d476037c77ac86543b97bd6eeb94f40dcce952da127e32baefa0dfa83f9d6e8ea254d4aee5ecd557964520926239bd119da72c771e30ece14 WHIRLPOOL b5874c5b08427d758fdd0e02f1f431296acc7451c609c75b06017e26ea11c835b89ddd1803de0a24f957b0c7f2ad6f4473c674b8cc76317a84c0d6d3b5ddaf8b
DIST vala-0.34.9.tar.xz 2783952 SHA256 36662f77e36abf9ce6f46e3015c4512276e6361553bdcc2d75566ed83a1da19d SHA512 8128dfbb50d0db2317feb4a358310de972ecb6f4dccaceb4d55cf3a024f4d83422e3137c92238e1a0a0b4766367ad307909a1310445017c71944ac30fc68d01f WHIRLPOOL acd16be2cfea35257f041e5dcf4e5b68fd06f55929b55dcbb95624bc25c3b4230ab6cda98ef5dad7fceb31958a33318897698aec5fdbc5ba33d766cfc083b5c5
+DIST vala-0.36.4.tar.xz 2846516 SHA256 e9f23ce711c1a72ce664d10946fbc5953f01b0b7f2a3562e7a01e362d86de059 SHA512 cc804b9ad0bda4968660084c5d5e38761b0d478a6c504d3d2e6188fdd2deef4a4315d7278191f19b3bcbee66e0b02733deb6050d168305c85cef8f203ecc13ac WHIRLPOOL 9763176101af16ae516e5183000297dcb629805d172be245bea5b02cebc04a7c3dd8227565c29170cd1ad896aef1f4a9bfd52ffebeb2ee024c0bd877a69ce348
diff --git a/dev-libs/vala-common/vala-common-0.36.4.ebuild b/dev-libs/vala-common/vala-common-0.36.4.ebuild
new file mode 100644
index 00000000000..01ce4db1896
--- /dev/null
+++ b/dev-libs/vala-common/vala-common-0.36.4.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME_ORG_MODULE="vala"
+
+inherit gnome.org
+
+DESCRIPTION="Build infrastructure for packages that use Vala"
+HOMEPAGE="https://wiki.gnome.org/Projects/Vala"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~x64-macos ~x64-solaris"
+IUSE=""
+
+# Previously ${PN} was part of dev-lang/vala
+RDEPEND="
+ !<dev-lang/vala-0.10.4-r2
+ !<dev-lang/vala-0.12.1-r1:0.12
+ !<dev-lang/vala-0.14.2-r2:0.14
+ !<dev-lang/vala-0.16.1-r2:0.16
+ !<dev-lang/vala-0.17.5:0.18
+"
+DEPEND=""
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ insinto /usr/share/aclocal
+ doins vala.m4 vapigen/vapigen.m4
+ insinto /usr/share/vala
+ doins vapigen/Makefile.vapigen
+}
+
+pkg_postinst() {
+ # Hack to prevent alternatives_auto_makesym in previously installed
+ # dev-lang/vala's pkg_postrm from overwriting vala-common's files
+ if has_version '<dev-lang/vala-0.10.4-r2:0.10' && [[ -f "${EROOT}usr/share/aclocal/vala-0-10.m4" ]]; then
+ ebegin "Removing old vala-0.10 macros"
+ rm "${EROOT}usr/share/aclocal/vala-0-10.m4" &> /dev/null
+ eend $?
+ fi
+ if has_version '<dev-lang/vala-0.12.1-r1:0.12' && [[ -f "${EROOT}usr/share/aclocal/vala-0-12.m4" ]]; then
+ ebegin "Removing old vala-0.12 macros"
+ rm "${EROOT}usr/share/aclocal/vala-0-12.m4" &> /dev/null
+ eend $?
+ fi
+ if has_version '<dev-lang/vala-0.14.2-r2:0.14' && [[ -f "${EROOT}usr/share/aclocal/vala-0-14.m4" ]]; then
+ ebegin "Removing old vala-0.14 macros"
+ rm "${EROOT}usr/share/aclocal/vala-0-14.m4" &> /dev/null
+ eend $?
+ fi
+ if has_version '<dev-lang/vala-0.16.1-r2:0.16' && [[ -f "${EROOT}usr/share/aclocal/vala-0-16.m4" ]]; then
+ ebegin "Removing old vala-0.16 macros"
+ rm "${EROOT}usr/share/aclocal/vala-0-14.m4" &> /dev/null
+ eend $?
+ if [[ -f "${EROOT}usr/share/vala-0.16/Makefile.vapigen" ]]; then
+ ebegin "Removing old vala-0.16 makefile template"
+ rm "${EROOT}usr/share/vala-0.16/Makefile.vapigen" &> /dev/null
+ eend $?
+ fi
+ fi
+ if has_version '<dev-lang/vala-0.17.5:0.18' && [[ -f "${EROOT}usr/share/aclocal/vala-0-18.m4" ]]; then
+ ebegin "Removing old vala-0.18 macros"
+ rm "${EROOT}usr/share/aclocal/vala-0-12.m4" &> /dev/null
+ eend $?
+ if [[ -f "${EROOT}usr/share/vala-0.18/Makefile.vapigen" ]]; then
+ ebegin "Removing old vala-0.18 makefile template"
+ rm "${EROOT}usr/share/vala-0.18/Makefile.vapigen" &> /dev/null
+ eend $?
+ fi
+ fi
+}